onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_acacia_log' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:acacia_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_oak_log' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:oak_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_birch_log' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:birch_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_crimson_stem' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:crimson_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_dark_oak_log' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:dark_oak_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_jungle_log' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:jungle_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_warped_stem' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:warped_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_spruce_log' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:spruce_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'upgrade_aquatic:stripped_driftwood_log' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:driftwood_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'upgrade_aquatic:stripped_river_log' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:river_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'goety:stripped_haunted_log' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:haunted_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'endergetic:stripped_poise_stem' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:poise_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_acacia_log' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:acacia_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_oak_log' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:oak_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_birch_log' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:birch_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_crimson_stem' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:crimson_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_dark_oak_log' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:dark_oak_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_jungle_log' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:jungle_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_warped_stem' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:warped_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_spruce_log' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:spruce_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'upgrade_aquatic:stripped_driftwood_log' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:driftwood_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'upgrade_aquatic:stripped_river_log' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:river_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'goety:stripped_haunted_log' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:haunted_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'endergetic:stripped_poise_stem' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:poise_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_acacia_wood' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:acacia_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_oak_wood' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:oak_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_birch_wood' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:birch_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_crimson_hyphae' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:crimson_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_dark_oak_wood' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:dark_oak_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_jungle_wood' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:jungle_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_warped_hyphae' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:warped_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_spruce_wood' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:spruce_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'upgrade_aquatic:stripped_driftwood' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:driftwood_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'upgrade_aquatic:stripped_river_wood' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:river_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'goety:stripped_haunted_wood' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:haunted_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'endergetic:stripped_poise_wood' && event.item.hasTag('natural-progression:saw')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '8x kubejs:poise_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_acacia_wood' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:acacia_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_oak_wood' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:oak_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_birch_wood' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:birch_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_crimson_hyphae' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:crimson_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_dark_oak_wood' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:dark_oak_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_jungle_wood' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:jungle_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_warped_hyphae' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:warped_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'minecraft:stripped_spruce_wood' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:spruce_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'upgrade_aquatic:stripped_driftwood' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:driftwood_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'upgrade_aquatic:stripped_river_wood' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:river_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'goety:stripped_haunted_wood' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:haunted_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'endergetic:stripped_poise_wood' && event.item.hasTag('forge:tools/axes')){
		event.player.swingArm(MAIN_HAND)
		event.player.playSound('block.wood.break')
		event.player.damageHeldItem(MAIN_HAND,1)
		event.block.set('minecraft:air')
		itemEntity = event.block.createEntity("item")
		itemEntity.y+=0.5
		itemEntity.item = '6x kubejs:poise_plank'
		itemEntity.motionY = 0.1
		itemEntity.spawn()
		if(Math.random() > 0.5){
			itemEntity = event.block.createEntity("item")
			itemEntity.y+=0.5
			itemEntity.item = 'kubejs:saw_dust'
			itemEntity.motionX = (Math.random()-0.5)*0.5
			itemEntity.motionZ = (Math.random()-0.5)*0.5
			itemEntity.spawn()
		}
	}
})




onEvent('recipes', event => {
	event.remove({id:'minecraft:stick'})
	event.remove({id:'survivalist:sticks_from_saplings'})
	event.remove({input:'#forge:tools/axes', mod:'natural-progression'})
	event.remove({input:'#natural-progression:saw', mod:'natural-progression'})
	event.remove({id:'minecraft:warped_planks'})
	event.remove({id:'minecraft:jungle_planks'})
	event.remove({id:'upgrade_aquatic:driftwood_planks'})
	event.remove({id:'minecraft:crimson_planks'})
	event.remove({id:'minecraft:birch_planks'})
	event.remove({id:'upgrade_aquatic:river_planks'})
	event.remove({id:'minecraft:dark_oak_planks'})
	event.remove({id:'minecraft:acacia_planks'})
	event.remove({id:'minecraft:spruce_planks'})
	event.remove({id:'minecraft:oak_planks'})
	event.remove({id:'goety:haunted_planks'})
	
	event.remove({output:'#minecraft:wooden_slabs'})
	event.remove({output:'#minecraft:wooden_stairs'})
})

onEvent('recipes', event => {
	event.shaped('minecraft:acacia_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:acacia_plank'
	})
	
	event.shaped('minecraft:birch_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:birch_plank'
	})
	
	event.shaped('minecraft:crimson_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:crimson_plank'
	})
	
	event.shaped('minecraft:dark_oak_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:dark_oak_plank'
	})
	
	event.shaped('minecraft:jungle_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:jungle_plank'
	})
	
	event.shaped('minecraft:oak_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:oak_plank'
	})
	
	event.shaped('minecraft:spruce_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:spruce_plank'
	})
	
	event.shaped('minecraft:warped_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:warped_plank'
	})
	
	event.shaped('upgrade_aquatic:driftwood_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:driftwood_plank'
	})
	
	event.shaped('upgrade_aquatic:river_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:river_plank'
	})
	
	event.shaped('goety:haunted_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:haunted_plank'
	})
	
	event.shaped('endergetic:poise_planks', [
		'PP',
		'PP'
	], {
		P: 'kubejs:poise_plank'
	})
})

onEvent('recipes', event => {
	event.shaped('minecraft:acacia_slab', [
		'PP'
	], {
		P: 'kubejs:acacia_plank'
	})
	
	event.shaped('minecraft:birch_slab', [
		'PP'
	], {
		P: 'kubejs:birch_plank'
	})
	
	event.shaped('minecraft:crimson_slab', [
		'PP'
	], {
		P: 'kubejs:crimson_plank'
	})
	
	event.shaped('minecraft:dark_oak_slab', [
		'PP'
	], {
		P: 'kubejs:dark_oak_plank'
	})
	
	event.shaped('minecraft:jungle_slab', [
		'PP'
	], {
		P: 'kubejs:jungle_plank'
	})
	
	event.shaped('minecraft:oak_slab', [
		'PP'
	], {
		P: 'kubejs:oak_plank'
	})
	
	event.shaped('minecraft:spruce_slab', [
		'PP'
	], {
		P: 'kubejs:spruce_plank'
	})
	
	event.shaped('minecraft:warped_slab', [
		'PP'
	], {
		P: 'kubejs:warped_plank'
	})
	
	event.shaped('upgrade_aquatic:driftwood_slab', [
		'PP'
	], {
		P: 'kubejs:driftwood_plank'
	})
	
	event.shaped('upgrade_aquatic:river_slab', [
		'PP'
	], {
		P: 'kubejs:river_plank'
	})
	
	event.shaped('goety:haunted_slab', [
		'PP'
	], {
		P: 'kubejs:haunted_plank'
	})
	
	event.shaped('endergetic:poise_slab', [
		'PP'
	], {
		P: 'kubejs:poise_plank'
	})
})

onEvent('recipes', event => {
	event.shaped('minecraft:acacia_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:acacia_plank'
	})
	
	event.shaped('minecraft:birch_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:birch_plank'
	})
	
	event.shaped('minecraft:crimson_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:crimson_plank'
	})
	
	event.shaped('minecraft:dark_oak_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:dark_oak_plank'
	})
	
	event.shaped('minecraft:jungle_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:jungle_plank'
	})
	
	event.shaped('minecraft:oak_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:oak_plank'
	})
	
	event.shaped('minecraft:spruce_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:spruce_plank'
	})
	
	event.shaped('minecraft:warped_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:warped_plank'
	})
	
	event.shaped('upgrade_aquatic:driftwood_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:driftwood_plank'
	})
	
	event.shaped('upgrade_aquatic:river_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:river_plank'
	})
	
	event.shaped('goety:haunted_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:haunted_plank'
	})
	
	event.shaped('endergetic:poise_stairs', [
		'P ',
		'PP'
	], {
		P: 'kubejs:poise_plank'
	})
})

onEvent('block.right_click', event => {
	if (event.block.id == 'upgrade_aquatic:driftwood_log' && (event.item.hasTag('forge:tools/axes') || event.item.hasTag('natural-progression:saw'))){
		itemEntity = event.block.createEntity("item")
		itemEntity.z-=0.25
		itemEntity.item = 'kubejs:driftwood_bark'
		itemEntity.spawn()
		}
	if (event.block.id == 'upgrade_aquatic:driftwood' && (event.item.hasTag('forge:tools/axes') || event.item.hasTag('natural-progression:saw'))){
		itemEntity = event.block.createEntity("item")
		itemEntity.z-=0.25
		itemEntity.item = 'kubejs:driftwood_bark'
		itemEntity.spawn()
		}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'upgrade_aquatic:river_log' && (event.item.hasTag('forge:tools/axes') || event.item.hasTag('natural-progression:saw'))){
		itemEntity = event.block.createEntity("item")
		itemEntity.z-=0.25
		itemEntity.item = 'kubejs:river_bark'
		itemEntity.spawn()
		}
	if (event.block.id == 'upgrade_aquatic:river_wood' && (event.item.hasTag('forge:tools/axes') || event.item.hasTag('natural-progression:saw'))){
		itemEntity = event.block.createEntity("item")
		itemEntity.z-=0.25
		itemEntity.item = 'kubejs:river_bark'
		itemEntity.spawn()
		}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'goety:haunted_log' && (event.item.hasTag('forge:tools/axes') || event.item.hasTag('natural-progression:saw'))){
		itemEntity = event.block.createEntity("item")
		itemEntity.z-=0.25
		itemEntity.item = 'kubejs:haunted_bark'
		itemEntity.spawn()
		}
	if (event.block.id == 'goety:haunted_wood' && (event.item.hasTag('forge:tools/axes') || event.item.hasTag('natural-progression:saw'))){
		itemEntity = event.block.createEntity("item")
		itemEntity.z-=0.25
		itemEntity.item = 'kubejs:haunted_bark'
		itemEntity.spawn()
		}
})

onEvent('block.right_click', event => {
	if (event.block.id == 'endergetic:poise_stem' && (event.item.hasTag('forge:tools/axes') || event.item.hasTag('natural-progression:saw'))){
		itemEntity = event.block.createEntity("item")
		itemEntity.z-=0.25
		itemEntity.item = 'kubejs:poise_bark'
		itemEntity.spawn()
		}
	if (event.block.id == 'endergetic:poise_wood' && (event.item.hasTag('forge:tools/axes') || event.item.hasTag('natural-progression:saw'))){
		itemEntity = event.block.createEntity("item")
		itemEntity.z-=0.25
		itemEntity.item = 'kubejs:poise_bark'
		itemEntity.spawn()
		}
	if (event.block.id == 'endergetic:glowing_poise_stem' && (event.item.hasTag('forge:tools/axes') || event.item.hasTag('natural-progression:saw'))){
		itemEntity = event.block.createEntity("item")
		itemEntity.z-=0.25
		itemEntity.item = 'kubejs:poise_bark'
		itemEntity.spawn()
		}
	if (event.block.id == 'endergetic:glowing_poise_wood' && (event.item.hasTag('forge:tools/axes') || event.item.hasTag('natural-progression:saw'))){
		itemEntity = event.block.createEntity("item")
		itemEntity.z-=0.25
		itemEntity.item = 'kubejs:poise_bark'
		itemEntity.spawn()
		}
})

onEvent('recipes', event => {
	event.remove({type:'create:cutting', output:'#minecraft:planks'})
	
	event.recipes.createCutting('8x kubejs:acacia_plank', 'minecraft:stripped_acacia_log')
	event.recipes.createCutting('8x kubejs:birch_plank', 'minecraft:stripped_birch_log')
	event.recipes.createCutting('8x kubejs:crimson_plank', 'minecraft:stripped_crimson_stem')
	event.recipes.createCutting('8x kubejs:dark_oak_plank', 'minecraft:stripped_dark_oak_log')
	event.recipes.createCutting('8x kubejs:jungle_plank', 'minecraft:stripped_jungle_log')
	event.recipes.createCutting('8x kubejs:oak_plank', 'minecraft:stripped_oak_log')
	event.recipes.createCutting('8x kubejs:spruce_plank', 'minecraft:stripped_spruce_log')
	event.recipes.createCutting('8x kubejs:warped_plank', 'minecraft:stripped_warped_stem')
	event.recipes.createCutting('8x kubejs:driftwood_plank', 'upgrade_aquatic:stripped_driftwood_log')
	event.recipes.createCutting('8x kubejs:river_plank', 'upgrade_aquatic:stripped_river_log')
	event.recipes.createCutting('8x kubejs:haunted_plank', 'goety:stripped_haunted_log')
	
	event.recipes.createCutting('8x kubejs:acacia_plank', 'minecraft:stripped_acacia_wood')
	event.recipes.createCutting('8x kubejs:birch_plank', 'minecraft:stripped_birch_wood')
	event.recipes.createCutting('8x kubejs:crimson_plank', 'minecraft:stripped_crimson_hyphae')
	event.recipes.createCutting('8x kubejs:dark_oak_plank', 'minecraft:stripped_dark_oak_wood')
	event.recipes.createCutting('8x kubejs:jungle_plank', 'minecraft:stripped_jungle_wood')
	event.recipes.createCutting('8x kubejs:oak_plank', 'minecraft:stripped_oak_wood')
	event.recipes.createCutting('8x kubejs:spruce_plank', 'minecraft:stripped_spruce_wood')
	event.recipes.createCutting('8x kubejs:warped_plank', 'minecraft:stripped_warped_hyphae')
	event.recipes.createCutting('8x kubejs:driftwood_plank', 'upgrade_aquatic:stripped_driftwood')
	event.recipes.createCutting('8x kubejs:river_plank', 'upgrade_aquatic:stripped_river_wood')
	event.recipes.createCutting('8x kubejs:haunted_plank', 'goety:stripped_haunted_wood')
})

/*
onEvent('recipes', event => {
	event.remove({type:'charm:woodcutting', output:'#minecraft:planks'})
	event.remove({type:'charm:woodcutting', output:'#minecraft:buttons'})
	
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:acacia_log"},
		"result": "kubejs:acacia_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:birch_log"},
		"result": "kubejs:birch_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:crimson_stem"},
		"result": "kubejs:crimson_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:dark_oak_log"},
		"result": "kubejs:dark_oak_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:oak_log"},
		"result": "kubejs:oak_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:warped_stem"},
		"result": "kubejs:warped_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:jungle_log"},
		"result": "kubejs:jungle_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:spruce_log"},
		"result": "kubejs:spruce_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "upgrade_aquatic:driftwood_log"},
		"result": "kubejs:driftwood_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "upgrade_aquatic:river_log"},
		"result": "kubejs:river_plank",
		"count": 8
	})
	
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_acacia_log"},
		"result": "kubejs:acacia_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_birch_log"},
		"result": "kubejs:birch_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_crimson_stem"},
		"result": "kubejs:crimson_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_dark_oak_log"},
		"result": "kubejs:dark_oak_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_oak_log"},
		"result": "kubejs:oak_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_warped_stem"},
		"result": "kubejs:warped_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_jungle_log"},
		"result": "kubejs:jungle_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_spruce_log"},
		"result": "kubejs:spruce_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "upgrade_aquatic:stripped_driftwood_log"},
		"result": "kubejs:driftwood_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "upgrade_aquatic:stripped_river_log"},
		"result": "kubejs:river_plank",
		"count": 8
	})
	
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:acacia_wood"},
		"result": "kubejs:acacia_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:birch_wood"},
		"result": "kubejs:birch_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:crimson_hyphae"},
		"result": "kubejs:crimson_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:dark_oak_wood"},
		"result": "kubejs:dark_oak_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:oak_wood"},
		"result": "kubejs:oak_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:warped_hyphae"},
		"result": "kubejs:warped_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:jungle_wood"},
		"result": "kubejs:jungle_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:spruce_wood"},
		"result": "kubejs:spruce_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "upgrade_aquatic:driftwood"},
		"result": "kubejs:driftwood_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "upgrade_aquatic:river_wood"},
		"result": "kubejs:river_plank",
		"count": 8
	})
	
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_acacia_wood"},
		"result": "kubejs:acacia_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_birch_wood"},
		"result": "kubejs:birch_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_crimson_hyphae"},
		"result": "kubejs:crimson_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_dark_oak_wood"},
		"result": "kubejs:dark_oak_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_oak_wood"},
		"result": "kubejs:oak_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_warped_hyphae"},
		"result": "kubejs:warped_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_jungle_wood"},
		"result": "kubejs:jungle_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "minecraft:stripped_spruce_wood"},
		"result": "kubejs:spruce_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "upgrade_aquatic:stripped_driftwood"},
		"result": "kubejs:driftwood_plank",
		"count": 8
	})
	event.custom({
		"type": "charm:woodcutting",
		"ingredient": {"item": "upgrade_aquatic:stripped_river_wood"},
		"result": "kubejs:river_plank",
		"count": 8
	})
})
*/